Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 1653)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 1654)
@@ -138,7 +138,7 @@
 			return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+"html/doc/manual/"+version+"/"+locale+"/manual1.xhtml", 
 					URL_TEXTOMETRIE+"html/doc/manual/"+version+"/en/manual1.xhtml")); //$NON-NLS-1$
 		} else if (PDFREFMAN.equals(key)) {
-			return OpenBrowser.openfile(URL_TEXTOMETRIE+"files/documentation/Manuel%20de%20TXM%200.7%20FR.pdf/download"); //$NON-NLS-1$ 
+			return OpenBrowser.openfile(URL_TEXTOMETRIE+"files/documentation/Manuel%20de%20TXM%200.8%20FR.pdf"); //$NON-NLS-1$ 
 		} else if (BUG.equals(key)) {
 			if (locale.equals("fr")) { //$NON-NLS-1$
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1653)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1654)
@@ -68,6 +68,8 @@
 
 	/** The meta. */
 	MetadataPage meta;
+
+	private ImportFormEditorInput finput;
 	
 	/**
 	 * Instantiates a new import form editor.
@@ -121,9 +123,9 @@
 	throws PartInitException {
 		setSite(site);
 		setInput(input);
-		
+		finput = ((ImportFormEditorInput) input);
 		String txmhome = Toolbox.getTxmHomePath();
-		File f = ((ImportFormEditorInput) input).getGroovyFile();
+		File f = finput.getGroovyFile();
 		String filepath = f.getPath();
 		this.setGroovyscript(new File(txmhome, filepath));
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1653)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1654)
@@ -71,8 +71,10 @@
 import org.txm.rcp.editors.imports.sections.TextualPlansSection;
 import org.txm.rcp.editors.imports.sections.TokenizerSection;
 import org.txm.rcp.editors.imports.sections.UISection;
+import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.utils.AsciiUtils;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
@@ -894,7 +896,13 @@
 	 */
 	public boolean saveConfig() {
 		Log.info(TXMUIMessages.savingImportParameters);
-
+		
+		if (project == null || project.getRCPProject() == null || !project.getRCPProject().exists()) {
+			Log.warning("The corpus has been deleted since. Please re-open the import form.");
+			this.getEditor().close(false);
+			return false;
+		}
+		
 		//		params.rootDir = project.getSrcdir().getAbsolutePath();
 		//		project.scriptFile = editor.getGroovyScript().getName();
 
@@ -1019,6 +1027,9 @@
 		project.setDirty();
 		project.setDoUpdate(false);
 		project.setNeedToBuild();
+		
+		DeleteObject.closeEditorOf(project, true);
+		
 		ExecuteImportScript.executeScript(project);
 
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1653)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1654)
@@ -219,7 +219,7 @@
 
 						//close corresponding editors
 						for(Object obj : allObjectDeleted) {
-							closeEditorOf(obj);
+							closeEditorOf(obj, false);
 						}
 					} catch(Exception e) {
 					}
@@ -305,16 +305,20 @@
 	 * Close the editors which uses an Object.
 	 *
 	 * @param o the object used by an editor
+	 * @param childnre close the editors of children too
 	 */
-	public static void closeEditorOf(Object o) {
-
+	public static void closeEditorOf(Object o, boolean children) {
+		if (!(o instanceof TXMResult)) {
+			return;
+		}
+		
 		TXMResult r = (TXMResult) o;
 		List<TXMResult> all = new ArrayList<TXMResult>();//r.getDeepChildren();
 		all.add(r);
-
+		if (children) {
+			all.addAll(r.getDeepChildren());
+		}
 		ArrayList<TXMEditor> editors = SWTEditorsUtils.getEditors();
-
-		//FIXME use SWTEditorsUtils.getEditors()
 		for (TXMResult tr : all) { // close editors of the result and its children
 			for (TXMEditor<?> editor : editors) {
 				if (tr == editor.getResult())	{
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1653)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1654)
@@ -1516,6 +1516,14 @@
 	}
 
 	/**
+	 * Deletes all the children
+	 * @return
+	 */
+	public void deleteChildren() {
+		deleteChildren(null);
+	}
+	
+	/**
 	 * Deletes the children of the specified class.
 	 * @param type
 	 * @return
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-structure2wordAtt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-structure2wordAtt.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-structure2wordAtt.xsl	(revision 1654)
@@ -0,0 +1,68 @@
+<?xml version="1.0"?>
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc">
+  
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet projects the number of nesting selected ancestor 
+      elements to attributes of the w element.
+      Designed for 3-posttok step of the XTZ + CSV TXM import module.
+      Enter element names separated by | as the value of 
+      elementsToProject parameter.
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2018, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+  
+  <!-- List elements to count and project here -->
+  <xsl:param name="elementsToProject">q|quote</xsl:param>
+  
+  <!-- Whenever you match any node or any attribute -->
+  <xsl:template match="node()|@*">
+    <!-- Copy the current node -->
+    <xsl:copy>
+      <!-- Including any attributes it has and any child nodes -->
+      <xsl:apply-templates select="@*|node()"/>
+    </xsl:copy>
+  </xsl:template>
+  
+  <xsl:template match="*:w">
+    <xsl:variable name="ancestors">
+      <ancestors>
+        <xsl:for-each select="ancestor::*">
+          <xsl:copy/>
+        </xsl:for-each>
+      </ancestors>
+    </xsl:variable>
+    <xsl:copy>
+      <xsl:apply-templates select="@*"/>
+      <xsl:for-each select="tokenize($elementsToProject,'\|')">
+        <xsl:variable name="elementName"><xsl:value-of select="."/></xsl:variable>
+        <xsl:attribute name="{$elementName}">
+          <xsl:choose>
+            <xsl:when test="$ancestors//*[local-name(.)=$elementName]">
+              <xsl:number value="count($ancestors//*[local-name()=$elementName])"></xsl:number>
+            </xsl:when>
+            <xsl:otherwise>0</xsl:otherwise>
+          </xsl:choose>
+        </xsl:attribute>
+      </xsl:for-each>
+      <xsl:apply-templates/>
+    </xsl:copy>
+  </xsl:template>
+  
+</xsl:stylesheet>

Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-rename-files-no-dots.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-rename-files-no-dots.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-rename-files-no-dots.xsl	(revision 1654)
@@ -0,0 +1,55 @@
+<!-- The Identity Transformation -->
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc">
+
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ+CSV import module to replace
+      dots with underscores in source file names. (A bug in TXM 0.7.8 prevents
+      files containing dots in their names from being imported). This stylesheet
+      should be used at "1-split-merge" step. See TXM User Manual for more
+      details (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+
+<xsl:param name="output-directory">
+  <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
+    <xsl:matching-substring>
+      <xsl:value-of select="regex-group(1)"/>
+    </xsl:matching-substring>
+  </xsl:analyze-string>
+</xsl:param>
+
+  <xsl:variable name="filename">
+    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
+      <xsl:matching-substring>
+        <xsl:value-of select="regex-group(2)"/>
+      </xsl:matching-substring>
+    </xsl:analyze-string>
+  </xsl:variable>
+
+<xsl:template match="/">
+  <xsl:result-document href="{$output-directory}/{replace($filename,'\.','_')}.xml">
+    <xsl:copy-of select="."></xsl:copy-of>
+  </xsl:result-document>
+  <warning>Result file written to <xsl:value-of select="concat($output-directory,'/',replace($filename,'\.','_'),'.xml')"/></warning>
+</xsl:template>
+
+
+</xsl:stylesheet>

Index: tmp/org.txm.core/res/org/txm/xml/xsl/filter-number-act-scene-line.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/filter-number-act-scene-line.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/filter-number-act-scene-line.xsl	(revision 1654)
@@ -0,0 +1,56 @@
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xd="http://www.pnp-software.com/XSLTdoc" version="2.0">
+ 
+  <xd:doc type="stylesheet">
+    <xd:short>
+      Feuille de style de numérotation d'éléments pouvant être utilisée comme
+      prétraitement de l'import XML/w+CSV. Elle est conçue pour numéroter les
+      actes, scènes et lignes de l'édition XML de la pièce "All's Well That Ends Well"
+      de William Shakespeare suivante https://www.ibiblio.org/xml/examples/shakespeare/all_well.xml
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Serge Heiden slh@ens-lyon.fr</xd:author>
+    <xd:copyright>2015, ENS de Lyon / UMR 5191 ICAR (Cactus)</xd:copyright>
+  </xd:doc>
+
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes" indent="yes"/>
+
+  <xsl:template match="@*|node()">
+    <xsl:copy>
+      <xsl:apply-templates select="@*|node()"/>
+    </xsl:copy>
+  </xsl:template>
+  
+  <xsl:template match="ACT|SCENE">
+   <xsl:copy>
+		<xsl:attribute name="n">
+			<xsl:number level="multiple" format="I.I" count="ACT|SCENE"/>
+		</xsl:attribute>
+    	<xsl:apply-templates select="@*|node()"/>
+   </xsl:copy>
+  </xsl:template>
+
+  <xsl:template match="LINE">
+   <xsl:copy>
+		<xsl:attribute name="n">
+			<xsl:number level="any" format="1" count="LINE" from="SCENE"/>
+		</xsl:attribute>
+    	<xsl:apply-templates select="@*|node()"/>
+   </xsl:copy>
+  </xsl:template>
+
+</xsl:stylesheet>
+

Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-unbreakWords.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-unbreakWords.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-unbreakWords.xsl	(revision 1654)
@@ -2,52 +2,39 @@
 <xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
   xmlns:txm="http://textometrie.org/ns/1.0"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
   exclude-result-prefixes="tei edate" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
 
-  <!--
-This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ+CSV import module to re-unite 
+      word tokens separated by lb, cb and pb tags bearing @break="no" 
+      attribute. This stylesheet should be used at "3-posttok" step.
+      All the tags separating the beginning and the end of a word must have 
+      a @break='no' and their number must not exceed 3 in each case.
+      See TXM User Manual for more details 
+      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+       
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
-
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
-
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
-
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
-
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-
-     
-This stylesheet re-unites word tokens separated by lb, cb and pb tags
-bearing @break="no" attribute. Can be used with TXM XTZ import module.
-
-All the tags must have a @break='no' and their number must not exceed 3
-in each case.
-
-Written by Alexei Lavrentiev, UMR 5317 IHRIM, 2017
-  -->
-
-
   <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
   
   
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-xces-ids-corpus2text.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-xces-ids-corpus2text.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-xces-ids-corpus2text.xsl	(revision 1654)
@@ -0,0 +1,63 @@
+<?xml version="1.0" encoding="utf-8"?>
+
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc">
+  
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet transforms a single file of a XCES-IDS corpus into as 
+      many files as separate texts for TXM XTZ import module
+      For more details on source corpus encoding schema see 
+      http://www1.ids-mannheim.de/kl/projekte/korpora/textmodell.html
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2018, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+  
+  <!-- Whenever you match any node or any attribute -->
+  <xsl:template match="node()|@*">
+    <!-- Copy the current node -->
+    <xsl:copy>
+      <!-- Including any attributes it has and any child nodes -->
+      <xsl:apply-templates select="@*|node()"/>
+    </xsl:copy>
+  </xsl:template>
+  
+  <xsl:param name="output-directory">
+    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
+      <xsl:matching-substring>
+        <xsl:value-of select="regex-group(1)"/>
+      </xsl:matching-substring>
+    </xsl:analyze-string>
+  </xsl:param>
+  
+  <xsl:template match="/">
+    <note>Empty output. The content is transferred into result-documents</note>
+    <xsl:for-each select="descendant::idsText">
+      <xsl:variable name="filename">
+        <xsl:value-of select="substring-after(idsHeader//textSigle,'MK2')"/>
+      </xsl:variable>
+      <xsl:result-document href="{$output-directory}/{$filename}.xml">
+        <TEI>
+          <xsl:apply-templates/>
+        </TEI>
+      </xsl:result-document>
+    </xsl:for-each>
+  </xsl:template>
+  
+  
+</xsl:stylesheet>

Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz.xsl	(revision 1654)
@@ -15,22 +15,11 @@
                 		<xsl:otherwise>xmlw</xsl:otherwise>
                 	</xsl:choose>
                 </xsl:variable>
-	
-	<xsl:variable name="filename">
-		<xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/]+$">
-			<xsl:matching-substring>
-				<xsl:value-of select="regex-group(2)"/>
-			</xsl:matching-substring>
-		</xsl:analyze-string>
-	</xsl:variable>
                 
                 <xsl:template match="/">
                 	<html>
                 		<head>
-                			<title><xsl:choose>
-                				<xsl:when test="//tei:text/@id"><xsl:value-of select="//tei:text[1]/@id"/></xsl:when>
-                				<xsl:otherwise><xsl:value-of select="$filename"/></xsl:otherwise>
-                			</xsl:choose></title>
+                			<title><xsl:value-of select="//tei:text[1]/@id"/></title>
                 			<meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/>
                 			<link rel="stylesheet" media="all" type="text/css" href="css/bvhepistemon2014.css" />
 <!--                			<title>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-idsHeader2textAtt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-idsHeader2textAtt.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-idsHeader2textAtt.xsl	(revision 1654)
@@ -0,0 +1,82 @@
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+  version="2.0">
+
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ+CSV import module to extract 
+      metadata from the idsHeader (IDS-XCES) and add them as attributes
+      of the text element. It should be used at "2-front" step. See TXM 
+      User Manual for more details 
+      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+      For more details on source corpus encoding schema see 
+      http://www1.ids-mannheim.de/kl/projekte/korpora/textmodell.html
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+
+
+
+  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
+  
+  
+<!-- General patterns: all elements, attributes, comments and processing instructions are copied -->
+  
+  <xsl:template match="*">      
+        <xsl:copy>
+          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
+        </xsl:copy>    
+  </xsl:template>
+  
+  <xsl:template match="@*|comment()|processing-instruction()">
+    <xsl:copy/>
+  </xsl:template>
+
+  <xsl:variable name="current-file-name">
+    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/]+$">
+      <xsl:matching-substring>
+        <xsl:value-of select="regex-group(2)"/>
+      </xsl:matching-substring>
+    </xsl:analyze-string>
+  </xsl:variable>
+  
+<!-- Extracting metadata to use -->
+ 
+  <xsl:variable name="title">
+    <xsl:value-of select="/idsText/idsHeader//h.title[@type='abbr']"/>
+  </xsl:variable>
+  <xsl:variable name="date">
+    <xsl:value-of select="idsText/idsHeader//creatDate"/>
+  </xsl:variable>
+  
+
+<!-- Injecting metadata into attibutes of the text element -->
+
+<xsl:template match="text">
+  <xsl:copy>
+    <xsl:apply-templates select="@*"/>
+    <xsl:attribute name="title"><xsl:value-of select="$title"/></xsl:attribute>
+    <xsl:attribute name="date"><xsl:value-of select="$date"/></xsl:attribute>
+    <xsl:apply-templates/>
+  </xsl:copy>
+</xsl:template>
+
+
+</xsl:stylesheet>
\ No newline at end of file

Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-posttok-addRef.xsl	(revision 1654)
@@ -50,6 +50,15 @@
   
   <!-- General patterns: all elements, attributes, comments and processing instructions are copied -->
   
+  <xsl:variable name="filename">
+    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.xml$">
+      <xsl:matching-substring>
+        <xsl:value-of select="regex-group(2)"/>
+      </xsl:matching-substring>
+    </xsl:analyze-string>
+  </xsl:variable>
+  
+  
   <xsl:template match="*">      
         <xsl:copy>
           <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
@@ -61,16 +70,19 @@
   <xsl:template match="@*|comment()|processing-instruction()">
     <xsl:copy/>
   </xsl:template>
-  
+    
   <xsl:template match="*:w">
     <xsl:variable name="ref">
-      <xsl:if test="ancestor::*:text/@*:id"></xsl:if>
-      <xsl:value-of select="ancestor::*:text[1]/@*:id[1]"/>
-      <xsl:if test="ancestor::*:text/@*:id and preceding::*:pb[1]/@n">
-        <xsl:text>, </xsl:text>
-      </xsl:if>
+      <xsl:choose>
+        <xsl:when test="ancestor::*:text/@*:id">
+          <xsl:value-of select="ancestor::*:text[1]/@*:id[1]"/>
+        </xsl:when>
+        <xsl:otherwise>
+          <xsl:value-of select="$filename"/>
+        </xsl:otherwise>
+      </xsl:choose>
       <xsl:if test="preceding::*:pb[1]/@n">
-        <xsl:text>p. </xsl:text>
+        <xsl:text>, p. </xsl:text>
         <xsl:value-of select="preceding::*:pb[1]/@n"/>
       </xsl:if>
       <xsl:if test="(ancestor::*:text/@*:id or preceding::*:pb[1]/@n) and preceding::*:lb[1]/@n">
